Subject: bug#10494: 24.0.92; Syntax table and non-ASCII character interaction

From: [email-masked]
Date: Sat, 13 Aug 2016 10:19:34 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 13 Aug 2016 09:21:54 -0400
>> 
>> >>     (modify-syntax-entry ?’ "w" text-mode-syntax-table)
>> >>     (aset char-script-table ?’ 'latin)
>> >> 
>> >> does let word motion skip over ’ as OP wanted.
>> >
>> > Yes.  But I don't recommend such a "solution", because that would most
>> > probably bite elsewhere, when we do want that character behave as a
>> > symbol.
>> 
>> Sure, but it could be made local to text-mode:
>> 
>>     (modify-syntax-entry ?’ "w" text-mode-syntax-table)
>>     (defconst my-text-char-script-table
>>       (let ((table (copy-sequence char-script-table)))
>>         (aset table ?’ 'latin)
>>         table))
>> 
>>     (defun my-text-mode-hook ()
>>       (set (make-local-variable 'char-script-table)
>>            my-text-char-script-table))
>>     (add-hook 'text-mode-hook 'my-text-mode-hook)
>
> Are you sure nothing in text-mode will ever want to use \s_ in any
> regexp?

Did you mean \> (word boundary) or \s. (punctation)?  \s_ doesn't match
’ regardless because its syntax class is punctuation, not symbol.

If the user wants ’ to be part of a word, then surely it's correct for
regexps to treat it as such.

>
>> > @xref generates a capitalized "See", so is inappropriate in the middle
>> > of a sentence.  Please use "see @ref" instead.
>> 
>> Uff, I find these multiple variants of reference very confusing, I also
>> got a complaint from makeinfo that I was missing punctuation after the
>> first @xref.  Does it look okay now? (I made the other wording fixes
>> too)
>
> Yes, looks good, thanks.

Pushed as 8342e748